FtpTransfer (JFtp)
Date: 2016-03-28

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jftp.net
Class FtpTransfer

    java.lang.Object
      net.sf.jftp.net.Transfer
          net.sf.jftp.net.FtpTransfer

All Implemented Interfaces:
  java.lang.Runnable

    public class FtpTransfer

extends Transfer
implements java.lang.Runnable

This class is used internally by FtpConnection. You probably don't have to use it directly.

Field Summary
`java.lang.Thread` | `runner`

Fields inherited from class net.sf.jftp.net.Transfer
`DOWNLOAD, pause, PAUSED, QUEUED, REMOVED, UPLOAD, work`

Constructor Summary
`FtpTransfer(java.lang.String host, int port, java.lang.String localPath, java.lang.String remotePath, java.lang.String file, java.lang.String user, java.lang.String pass, java.lang.String type, ConnectionHandler handler, java.util.Vector<ConnectionListener> listeners, java.lang.String crlf)`
`FtpTransfer(java.lang.String host, int port, java.lang.String localPath, java.lang.String remotePath, java.lang.String file, java.lang.String user, java.lang.String pass, java.lang.String type, ConnectionHandler handler, java.util.Vector<ConnectionListener> listeners, java.lang.String newName, java.lang.String crlf)`

Method Summary
`DataConnection` | `getDataConnection()`
`FtpConnection` | `getFtpConnection()`
`int` | `getStatus()`
`int` | `getTransferStatus()`
`boolean` | `hasStarted()`
`void` | `prepare()`
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### runner

    public java.lang.Thread runner

Constructor Detail

### FtpTransfer

    public FtpTransfer(java.lang.String host,
                       int port,
                       java.lang.String localPath,
                       java.lang.String remotePath,
                       java.lang.String file,
                       java.lang.String user,
                       java.lang.String pass,
                       java.lang.String type,
                       ConnectionHandler handler,
                       java.util.Vector<ConnectionListener> listeners,
                       java.lang.String newName,
                       java.lang.String crlf)

### FtpTransfer

    public FtpTransfer(java.lang.String host,
                       int port,
                       java.lang.String localPath,
                       java.lang.String remotePath,
                       java.lang.String file,
                       java.lang.String user,
                       java.lang.String pass,
                       java.lang.String type,
                       ConnectionHandler handler,
                       java.util.Vector<ConnectionListener> listeners,
                       java.lang.String crlf)

Method Detail

### prepare

    public void prepare()

  Specified by:
    `prepare` in class `Transfer`

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### getStatus

    public int getStatus()

  Specified by:
    `getStatus` in class `Transfer`

### getTransferStatus

    public int getTransferStatus()

### hasStarted

    public boolean hasStarted()

  Specified by:
    `hasStarted` in class `Transfer`

### getFtpConnection

    public FtpConnection getFtpConnection()

  Specified by:
    `getFtpConnection` in class `Transfer`

### getDataConnection

    public DataConnection getDataConnection()

  Specified by:
    `getDataConnection` in class `Transfer`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD